<?php
if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( 'init.php' );
}

include( 'sessioninc.php' );

include_once(LIB_DIR . 'blog_class.php');

$blog =& new Blog();

// If we were bounced here with a error message, save it
//
if ( isset($_GET['error_name']) ) {

      $t->assign ( 'error_message', get_lang('blog_errors', $_GET['error_name']) );
}
$t->assign('lang',$lang);

// Edit the preferences if save button pressed
//
if ( $_POST['action'] == 'edit_pref' ) {

      $blog->saveSettings($_SESSION['UserId']);


      if ( $blog->getErrorMessage() ) {

          $t->assign ( 'error_message', $blog->getErrorMessage() );

          $row = $blog->getSettings();
      }
      else {

		if ($blog->getStoryCount($_SESSION['UserId']) <= 0) {
			header( 'location: addblog.php' );
		} else {
         // After saving, go to blog list page
	         header( 'location: bloglist.php' );
		}
         exit;
      }

} else {

// Display current info
//

   $blog->loadSettings($_SESSION['UserId']);
   $blog->prepSettings();
   // Strip slashes

   $row = $blog->getSettings();
}

$t->assign( 'row', $row );
unset($row);

// Make the page
//

$t->assign('rendered_page', $t->fetch('blogsettings.tpl') );

$t->display( 'index.tpl' );

exit;

?>
